Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.decorator
Interface IDecoratorKeys

public interface IDecoratorKeys

A list of keys defining decorators that could potentially be overridden. A decorator is installed on a decorator target using a key (a String identifier), if another decorator is installed on the same target with the same key then it will override the previous one installed. This is similar to how EditPolicy roles work. If a decorator is installed that may need to be overridden, add its key here.

This interface defines constants only, it is not intended to be implemented by clients.

Field Summary
`static java.lang.String` `BOOKMARK` The key used for the bookmark decoration.
`static java.lang.String` `CROSS_MODEL_REFERENCE` The key used for the cross model reference decoration.
`static java.lang.String` `UNRESOLVED_VIEW` The key used for the unresolved view decoration.

Field Detail

### CROSS_MODEL_REFERENCE

    public static final java.lang.String CROSS_MODEL_REFERENCE

  The key used for the cross model reference decoration.

  See Also:
    Constant Field Values

### UNRESOLVED_VIEW

    public static final java.lang.String UNRESOLVED_VIEW

  The key used for the unresolved view decoration.

  See Also:
    Constant Field Values

### BOOKMARK

    public static final java.lang.String BOOKMARK

  The key used for the bookmark decoration.

  See Also:
    Constant Field Values

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.